Subject: RE: [External] : Re: bug#23010: 25.1.50; Isearch help key to indicate current search state/mode

From: Drew Adams <[email-masked]>
Date: Fri, 13 May 2022 21:05:14 +0000

> > I've also made other suggestions elsewhere, regarding
> > showing more such state in the mode-line.  And I do
> > that in isearch+.el.  E.g., mode-line lighter tells
> > you whether case-sensitive and whether regexp searching:
> >
> > (if case-fold-search
> >     (if isearch-regexp " R*SEARCH" " ISEARCH")
> >   (if isearch-regexp " R*search" " Isearch"))
> 
> I guess R means Regexp search.  But what does the asterisk
> after R mean?  On the mode line it usually indicates the
> modified buffer.

R*search and R*SEARCH are just meant to indicate a
regexp pattern (the former indicating case-sensitive).

The Isearch+ doc says what it means.  But I don't say
you need to follow what I did exactly.

The point was just to say that with very little screen
real estate (a mode-line lighter) we can show, and
dynamically update, a fair amount of info about the
current Isearch state: whether case-insensitive, and
whether regexp searching.

I intend it only as food for thought.